<?php

namespace Drupal\io_builder\Plugin\Block;

use Drupal\Core\Block\BlockBase;
use Drupal\Core\Url;

/**
 * Class IoBuilderEnableBlock
 *
 * @package Drupal\io_builder\Plugin\Block
 *
 * @Block(
 *   id = "io_builder_toggle_block",
 *   admin_label=@Translation("Io Builder - Toggle link"),
 *   category="io_builder"
 * )
 */
class IoBuilderToggleBlock extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {
    $destination = Url::fromRoute('<current>')->toString();

    $ioBuilderToggleLink = Url::fromRoute(
      'io_builder.toggle',
      ['destination' => $destination]
    );

    return [
      '#theme' => 'io_builder__toggle_link',
      '#url' => $ioBuilderToggleLink,
    ];
  }

}
